require('dotenv').config()
const { GraphQLServer } = require('graphql-yoga')
const fileUpload = require('express-fileupload')
const { resolvers } = require('./src/resolvers')
const { db } = require('./src/db')

const server = new GraphQLServer({
  typeDefs: './schema.graphql',
  resolvers,
  context: req => ({
    ...req,
    db,
    debug: true
  })
})

server.express.use(fileUpload())
server.express.post('/upload', (req, res) => {
  console.log(req.files)
})

server.start(
  {
    cors: {
      credentials: true,
      origin: process.env.FRONTEND_URL
    }
  },
  server => console.log(`Server is running on http://localhost:${server.port}`)
)
